using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.BS;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("检查类型")]
    public class T_SK_ENTERPRISE_LIBRARY_TEMP_CONTENT_POST : MesEntityBase
    {
        /// 基础库
        /// </summary>
        [Description("基础库")]
        [DataFieldForeignKey("Nav_Depart", "Nav_Posts")]
        public Guid ENTERPRISE_LIBRARY_TEMP_CONTENT_DEPART_ID { get; set; }

        /// <summary>
        /// 导航属性：基础库
        /// </summary>
        [Description("导航属性：基础库")]
        public T_SK_ENTERPRISE_LIBRARY_TEMP_CONTENT_DEPART Nav_Depart { get; set; }

        [Description("检查岗位")]
        [DataFieldForeignKey("Nav_Post")]
        public Guid? POST_ID { get; set; }

        [Description("导航属性：检查岗位")]
        public T_FM_USER_POST Nav_Post { get; set; }
    }
}
